Yum install for centOS 5

CentOS 5 64 bit, kernel version 2.6.26 x86_64

After setting up the yum repos listed in the documentation I’m unable to install asterisk 1.6 with the following errors:

Transaction Check Error:
package kernel-2.6.26.8rootserver20081113a-1.x86_64 (which is newer than kernel-2.6.18-164.6.1.el5.x86_64) is already installed
package kernel-2.6.27.34rootserver20090918a-1.x86_64 (which is newer than kernel-2.6.18-164.6.1.el5.x86_64) is already installed

This is a dedicated server and am not allowed to install the distribution included in the AsteriskNow .iso.
I’m a linux newbie, so if someone could point me in the right direction I’d sure appreciate it.

You will need to compile from source if you are not allowed to upgrade the kernel.